# register class - auto-created DO NOT CHANGE! (2022-03-15 11:10:14.869108)
#
class ADIN1100Register:
	"""Defintion for all Registers. Based on json-DataSheet"""
	Revision = '1.0.0-1'
	Id = '0280.BC80'
	regAN_ADV_ABILITY_H = 459268 # 07.0204
	regAN_ADV_ABILITY_L = 459266 # 07.0202
	regAN_ADV_ABILITY_M = 459267 # 07.0203
	regAN_CONTROL = 459264 # 07.0200
	regAN_FRC_MODE_EN = 491520 # 07.8000
	regAN_LP_ADV_ABILITY_H = 459271 # 07.0207
	regAN_LP_ADV_ABILITY_L = 459269 # 07.0205
	regAN_LP_ADV_ABILITY_M = 459270 # 07.0206
	regAN_LP_NEXT_PAGE_H = 459277 # 07.020D
	regAN_LP_NEXT_PAGE_L = 459275 # 07.020B
	regAN_LP_NEXT_PAGE_M = 459276 # 07.020C
	regAN_NEXT_PAGE_H = 459274 # 07.020A
	regAN_NEXT_PAGE_L = 459272 # 07.0208
	regAN_NEXT_PAGE_M = 459273 # 07.0209
	regAN_PHY_INST_STATUS = 491568 # 07.8030
	regAN_STATUS = 459265 # 07.0201
	regAN_STATUS_EXTRA = 491521 # 07.8001
	regB10L_PCS_CNTRL = 198886 # 03.08E6
	regB10L_PMA_CNTRL = 67830 # 01.08F6
	regB10L_PMA_LINK_STAT = 99074 # 01.8302
	regB10L_PMA_STAT = 67831 # 01.08F7
	regB10L_TEST_MODE_CNTRL = 67832 # 01.08F8
	regCRSM_IRQ_MASK = 1966112 # 1E.0020
	regCRSM_IRQ_STATUS = 1966096 # 1E.0010
	regCRSM_MAC_IF_RST = 2000917 # 1E.8815
	regCRSM_PHY_SUBSYS_RST = 2000916 # 1E.8814
	regCRSM_SFT_PD_CNTRL = 2000914 # 1E.8812
	regCRSM_SFT_RST = 2000912 # 1E.8810
	regCRSM_STAT = 2000920 # 1E.8818
	regLED_BLINK_TIME_CNTRL = 2002048 # 1E.8C80
	regLED_CNTRL = 2002049 # 1E.8C81
	regMAC_IF_LOOPBACK = 2064469 # 1F.8055
	regMAC_IF_SOP_CNTRL = 2064474 # 1F.805A
	regMMD1_DEV_ID1 = 1966082 # 1E.0002
	regMMD1_DEV_ID2 = 1966083 # 1E.0003
	regMSE_VAL = 67632 # 01.0830
	regPHY_SUBSYS_IRQ_MASK = 1966113 # 1E.0021
	regPHY_SUBSYS_IRQ_STATUS = 1966097 # 1E.0011
	regPMA_PMD_BT1_ABILITY = 65554 # 01.0012
	regPMA_PMD_BT1_CONTROL = 67636 # 01.0834
	regRMII_CFG = 2064464 # 1F.8050
	#end of register defintions
	Register = {
		regAN_ADV_ABILITY_H: {'Tag': 'AN_ADV_ABILITY_H', 'Name': 'BASE-T1 Autonegotiation Advertisement [47:32] Register', 'Group': 'AN'},
		regAN_ADV_ABILITY_L: {'Tag': 'AN_ADV_ABILITY_L', 'Name': 'BASE-T1 Autonegotiation Advertisement [15:0] Register', 'Group': 'AN'},
		regAN_ADV_ABILITY_M: {'Tag': 'AN_ADV_ABILITY_M', 'Name': 'BASE-T1 Autonegotiation Advertisement [31:16] Register', 'Group': 'AN'},
		regAN_CONTROL: {'Tag': 'AN_CONTROL', 'Name': 'BASE-T1 Autonegotiation Control Register', 'Group': 'AN'},
		regAN_FRC_MODE_EN: {'Tag': 'AN_FRC_MODE_EN', 'Name': 'Autonegotiation Forced Mode Enable Register', 'Group': 'AN'},
		regAN_LP_ADV_ABILITY_H: {'Tag': 'AN_LP_ADV_ABILITY_H', 'Name': 'BASE-T1 Autonegotiation Link Partner Base Page Ability [47:32] Register', 'Group': 'AN'},
		regAN_LP_ADV_ABILITY_L: {'Tag': 'AN_LP_ADV_ABILITY_L', 'Name': 'BASE-T1 Autonegotiation Link Partner Base Page Ability [15:0] Register', 'Group': 'AN'},
		regAN_LP_ADV_ABILITY_M: {'Tag': 'AN_LP_ADV_ABILITY_M', 'Name': 'BASE-T1 Autonegotiation Link Partner Base Page Ability [31:16] Register', 'Group': 'AN'},
		regAN_LP_NEXT_PAGE_H: {'Tag': 'AN_LP_NEXT_PAGE_H', 'Name': 'BASE-T1 Autonegotiation Link Partner Next Page Ability [47:32] Register', 'Group': 'AN'},
		regAN_LP_NEXT_PAGE_L: {'Tag': 'AN_LP_NEXT_PAGE_L', 'Name': 'BASE-T1 Autonegotiation Link Partner Next Page Ability [15:0] Register', 'Group': 'AN'},
		regAN_LP_NEXT_PAGE_M: {'Tag': 'AN_LP_NEXT_PAGE_M', 'Name': 'BASE-T1 Autonegotiation Link Partner Next Page Ability [31:16] Register', 'Group': 'AN'},
		regAN_NEXT_PAGE_H: {'Tag': 'AN_NEXT_PAGE_H', 'Name': 'BASE-T1 Autonegotiation Next Page Transmit [47:32] Register', 'Group': 'AN'},
		regAN_NEXT_PAGE_L: {'Tag': 'AN_NEXT_PAGE_L', 'Name': 'BASE-T1 Autonegotiation Next Page Transmit [15:0] Register', 'Group': 'AN'},
		regAN_NEXT_PAGE_M: {'Tag': 'AN_NEXT_PAGE_M', 'Name': 'BASE-T1 Autonegotiation Next Page Transmit [31:16] Register', 'Group': 'AN'},
		regAN_PHY_INST_STATUS: {'Tag': 'AN_PHY_INST_STATUS', 'Name': 'Phy Instanteous Status Register', 'Group': 'AN'},
		regAN_STATUS: {'Tag': 'AN_STATUS', 'Name': 'BASE-T1 Autonegotiation Status Register', 'Group': 'AN'},
		regAN_STATUS_EXTRA: {'Tag': 'AN_STATUS_EXTRA', 'Name': 'Extra Autonegotiation Status Register', 'Group': 'AN'},
		regB10L_PCS_CNTRL: {'Tag': 'B10L_PCS_CNTRL', 'Name': '10BASE-T1L PCS Control Register', 'Group': 'PCS'},
		regB10L_PMA_CNTRL: {'Tag': 'B10L_PMA_CNTRL', 'Name': '10BASE-T1L PMA Control Register', 'Group': 'PMA'},
		regB10L_PMA_LINK_STAT: {'Tag': 'B10L_PMA_LINK_STAT', 'Name': '10BASE-T1L PMA Link Status Register', 'Group': 'PMA'},
		regB10L_PMA_STAT: {'Tag': 'B10L_PMA_STAT', 'Name': '10BASE-T1L PMA Status Register', 'Group': 'PMA'},
		regB10L_TEST_MODE_CNTRL: {'Tag': 'B10L_TEST_MODE_CNTRL', 'Name': '10BASE-T1L Test Mode Control Register', 'Group': 'PMA'},
		regCRSM_IRQ_MASK: {'Tag': 'CRSM_IRQ_MASK', 'Name': 'System Interrupt Mask Register', 'Group': 'CRSM'},
		regCRSM_IRQ_STATUS: {'Tag': 'CRSM_IRQ_STATUS', 'Name': 'System Interrupt Status Register', 'Group': 'CRSM'},
		regCRSM_MAC_IF_RST: {'Tag': 'CRSM_MAC_IF_RST', 'Name': 'PHY MAC Interface Reset Register', 'Group': 'CRSM'},
		regCRSM_PHY_SUBSYS_RST: {'Tag': 'CRSM_PHY_SUBSYS_RST', 'Name': 'PHY Subsystem Reset Register', 'Group': 'CRSM'},
		regCRSM_SFT_PD_CNTRL: {'Tag': 'CRSM_SFT_PD_CNTRL', 'Name': 'Software Power-down Control Register', 'Group': 'CRSM'},
		regCRSM_SFT_RST: {'Tag': 'CRSM_SFT_RST', 'Name': 'Software Reset Register', 'Group': 'CRSM'},
		regCRSM_STAT: {'Tag': 'CRSM_STAT', 'Name': 'System Status Register', 'Group': 'CRSM'},
		regLED_BLINK_TIME_CNTRL: {'Tag': 'LED_BLINK_TIME_CNTRL', 'Name': 'LED Blink Time Control Register', 'Group': 'MISC'},
		regLED_CNTRL: {'Tag': 'LED_CNTRL', 'Name': 'LED Control Register', 'Group': 'MISC'},
		regMAC_IF_LOOPBACK: {'Tag': 'MAC_IF_LOOPBACK', 'Name': 'MAC Interface Loopbacks Configuration Register', 'Group': 'MISC'},
		regMAC_IF_SOP_CNTRL: {'Tag': 'MAC_IF_SOP_CNTRL', 'Name': 'MAC Start of Packet Generation Configuration Register', 'Group': 'MISC'},
		regMMD1_DEV_ID1: {'Tag': 'MMD1_DEV_ID1', 'Name': 'Vendor Specific MMD 1 Device Identifier High Register', 'Group': 'MMD'},
		regMMD1_DEV_ID2: {'Tag': 'MMD1_DEV_ID2', 'Name': 'Vendor Specific MMD 1 Device Identifier Low Register', 'Group': 'MMD'},
		regMSE_VAL: {'Tag': 'MSE_VAL', 'Name': 'MSE Value Register', 'Group': 'PMA'},
		regPHY_SUBSYS_IRQ_MASK: {'Tag': 'PHY_SUBSYS_IRQ_MASK', 'Name': 'PHY Subsystem Interrupt Mask Register', 'Group': 'MISC'},
		regPHY_SUBSYS_IRQ_STATUS: {'Tag': 'PHY_SUBSYS_IRQ_STATUS', 'Name': 'PHY Subsystem Interrupt Status Register', 'Group': 'CRSM'},
		regPMA_PMD_BT1_ABILITY: {'Tag': 'PMA_PMD_BT1_ABILITY', 'Name': 'BASE-T1 PMA/PMD Extended Ability Register', 'Group': 'PMA'},
		regPMA_PMD_BT1_CONTROL: {'Tag': 'PMA_PMD_BT1_CONTROL', 'Name': 'BASE-T1 PMA/PMD Control Register', 'Group': 'PMA'},
		regRMII_CFG: {'Tag': 'RMII_CFG', 'Name': 'RMII Configuration Register', 'Group': 'MISC'}
	}
	#end of register
	# attributes of register bits
	Access = {
		'CR': 'Cleared on reset',
		'LH': 'Latched HIGH',
		'LL': 'Latched LOW',
		'R': 'Read only',
		'R/W': 'Read/write',
		'SC': 'Self clearing'
	}
	#end of access
	# detailed infos about register bits
	RegisterBits = {
		regAN_ADV_ABILITY_H:{ # 07.0204
			13:{'Symbol': 'AN_ADV_B10L_TX_LVL_HI_ABL', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Support 1.0 V p-p transmit level only',1: 'Support both 1.0 V p-p and 2.4 V p-p transmit level'}},
			12:{'Symbol': 'AN_ADV_B10L_TX_LVL_HI_REQ', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Request 1.0 V p-p transmit level',1: 'Request 2.4 V p-p transmit level'}},
			0:{'Symbol': 'RESERVED', 'Width': 12, 'Access': ['R'], 'Values': {}}
		},
		regAN_ADV_ABILITY_L:{ # 07.0202
			14:{'Symbol': 'AN_ADV_ACK', 'Width': 1, 'Access': ['R'], 'Values': {}},
			12:{'Symbol': 'AN_ADV_FORCE_MS', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Prefered Master/Slave',1: 'Force Master/Slave'}},
			15:{'Symbol': 'AN_ADV_NEXT_PAGE_REQ', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			10:{'Symbol': 'AN_ADV_PAUSE', 'Width': 2, 'Access': ['R/W'], 'Values': {0: 'Adv. Pause disabled',1: 'Adv. Pause enabled'}},
			13:{'Symbol': 'AN_ADV_REMOTE_FAULT', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			0:{'Symbol': 'AN_ADV_SELECTOR', 'Width': 5, 'Access': ['R'], 'Values': {}},
			5:{'Symbol': 'RESERVED', 'Width': 5, 'Access': ['R'], 'Values': {}}
		},
		regAN_ADV_ABILITY_M:{ # 07.0203
			14:{'Symbol': 'AN_ADV_B10L', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			4:{'Symbol': 'AN_ADV_MST', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Slave',1: 'Master'}},
			0:{'Symbol': 'RESERVED', 'Width': 4, 'Access': ['R'], 'Values': {}}
		},
		regAN_CONTROL:{ # 07.0200
			12:{'Symbol': 'AN_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Autoneg disabled',1: 'Autoneg enabled'}},
			9:{'Symbol': 'AN_RESTART', 'Width': 1, 'Access': ['R/W','SC'], 'Values': {0: 'Autoneg restart inactive',1: 'Autoneg restart active'}},
			0:{'Symbol': 'RESERVED', 'Width': 9, 'Access': ['R'], 'Values': {}}
		},
		regAN_FRC_MODE_EN:{ # 07.8000
			0:{'Symbol': 'AN_FRC_MODE_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Autonegotiation Forced Mode disabled',1: 'Autonegotiation Forced Mode enabled'}},
			1:{'Symbol': 'RESERVED', 'Width': 15, 'Access': ['R'], 'Values': {}}
		},
		regAN_LP_ADV_ABILITY_H:{ # 07.0207
			14:{'Symbol': 'AN_LP_ADV_B10L_EEE', 'Width': 1, 'Access': ['R'], 'Values': {}},
			13:{'Symbol': 'AN_LP_ADV_B10L_TX_LVL_HI_ABL', 'Width': 1, 'Access': ['R'], 'Values': {0: 'Link Partner ability 1.0 V p-p',1: 'Link Partner ability 2.4V p-p'}},
			12:{'Symbol': 'AN_LP_ADV_B10L_TX_LVL_HI_REQ', 'Width': 1, 'Access': ['R'], 'Values': {0: 'Link Partner advertise 1.0 V p-p',1: 'Link Partner advertise 2.4V^p-p'}},
			11:{'Symbol': 'AN_LP_ADV_B10S_HD', 'Width': 1, 'Access': ['R'], 'Values': {}},
			0:{'Symbol': 'RESERVED', 'Width': 11, 'Access': ['R'], 'Values': {}}
		},
		regAN_LP_ADV_ABILITY_L:{ # 07.0205
			14:{'Symbol': 'AN_LP_ADV_ACK', 'Width': 1, 'Access': ['R'], 'Values': {}},
			12:{'Symbol': 'AN_LP_ADV_FORCE_MS', 'Width': 1, 'Access': ['R'], 'Values': {0: 'Force Slave',1: 'Force Master'}},
			15:{'Symbol': 'AN_LP_ADV_NEXT_PAGE_REQ', 'Width': 1, 'Access': ['R'], 'Values': {}},
			10:{'Symbol': 'AN_LP_ADV_PAUSE', 'Width': 2, 'Access': ['R'], 'Values': {}},
			13:{'Symbol': 'AN_LP_ADV_REMOTE_FAULT', 'Width': 1, 'Access': ['R'], 'Values': {}},
			0:{'Symbol': 'AN_LP_ADV_SELECTOR', 'Width': 5, 'Access': ['R'], 'Values': {}},
			5:{'Symbol': 'RESERVED', 'Width': 5, 'Access': ['R'], 'Values': {}}
		},
		regAN_LP_ADV_ABILITY_M:{ # 07.0206
			5:{'Symbol': 'AN_LP_ADV_B100', 'Width': 1, 'Access': ['R'], 'Values': {}},
			7:{'Symbol': 'AN_LP_ADV_B1000', 'Width': 1, 'Access': ['R'], 'Values': {}},
			14:{'Symbol': 'AN_LP_ADV_B10L', 'Width': 1, 'Access': ['R'], 'Values': {}},
			6:{'Symbol': 'AN_LP_ADV_B10S_FD', 'Width': 1, 'Access': ['R'], 'Values': {}},
			4:{'Symbol': 'AN_LP_ADV_MST', 'Width': 1, 'Access': ['R'], 'Values': {0: 'Slave',1: 'Master'}},
			0:{'Symbol': 'RESERVED', 'Width': 4, 'Access': ['R'], 'Values': {}}
		},
		regAN_LP_NEXT_PAGE_H:{ # 07.020D
			0:{'Symbol': 'AN_LP_NP_UNFORMATTED2', 'Width': 16, 'Access': ['R'], 'Values': {}}
		},
		regAN_LP_NEXT_PAGE_L:{ # 07.020B
			14:{'Symbol': 'AN_LP_NP_ACK', 'Width': 1, 'Access': ['R'], 'Values': {}},
			12:{'Symbol': 'AN_LP_NP_ACK2', 'Width': 1, 'Access': ['R'], 'Values': {}},
			0:{'Symbol': 'AN_LP_NP_MESSAGE_CODE', 'Width': 11, 'Access': ['R'], 'Values': {}},
			13:{'Symbol': 'AN_LP_NP_MESSAGE_PAGE', 'Width': 1, 'Access': ['R'], 'Values': {}},
			15:{'Symbol': 'AN_LP_NP_NEXT_PAGE_REQ', 'Width': 1, 'Access': ['R'], 'Values': {}},
			11:{'Symbol': 'AN_LP_NP_TOGGLE', 'Width': 1, 'Access': ['R'], 'Values': {}}
		},
		regAN_LP_NEXT_PAGE_M:{ # 07.020C
			0:{'Symbol': 'AN_LP_NP_UNFORMATTED1', 'Width': 16, 'Access': ['R'], 'Values': {}}
		},
		regAN_NEXT_PAGE_H:{ # 07.020A
			0:{'Symbol': 'AN_NP_UNFORMATTED2', 'Width': 16, 'Access': ['R/W'], 'Values': {}}
		},
		regAN_NEXT_PAGE_L:{ # 07.0208
			14:{'Symbol': 'AN_NP_ACK', 'Width': 1, 'Access': ['R'], 'Values': {}},
			12:{'Symbol': 'AN_NP_ACK2', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			0:{'Symbol': 'AN_NP_MESSAGE_CODE', 'Width': 11, 'Access': ['R/W'], 'Values': {}},
			13:{'Symbol': 'AN_NP_MESSAGE_PAGE', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			15:{'Symbol': 'AN_NP_NEXT_PAGE_REQ', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			11:{'Symbol': 'AN_NP_TOGGLE', 'Width': 1, 'Access': ['R'], 'Values': {}}
		},
		regAN_NEXT_PAGE_M:{ # 07.0209
			0:{'Symbol': 'AN_NP_UNFORMATTED1', 'Width': 16, 'Access': ['R/W'], 'Values': {}}
		},
		regAN_PHY_INST_STATUS:{ # 07.8030
			4:{'Symbol': 'IS_AN_TX_EN', 'Width': 1, 'Access': ['R'], 'Values': {0: 'Autonegotiation transmit disabled',1: 'Autonegotiation transmit enabled'}},
			3:{'Symbol': 'IS_CFG_MST', 'Width': 1, 'Access': ['R'], 'Values': {0: '-',1: 'Operating as Master'}},
			2:{'Symbol': 'IS_CFG_SLV', 'Width': 1, 'Access': ['R'], 'Values': {0: '-',1: 'Operating as Slave'}},
			1:{'Symbol': 'IS_TX_LVL_HI', 'Width': 1, 'Access': ['R'], 'Values': {0: '-',1: 'Operating at 2.4V'}},
			0:{'Symbol': 'IS_TX_LVL_LO', 'Width': 1, 'Access': ['R'], 'Values': {0: '-',1: 'Operating at 1.2V'}},
			5:{'Symbol': 'RESERVED', 'Width': 11, 'Access': ['R'], 'Values': {}}
		},
		regAN_STATUS:{ # 07.0201
			3:{'Symbol': 'AN_ABLE', 'Width': 1, 'Access': ['R'], 'Values': {}},
			5:{'Symbol': 'AN_COMPLETE', 'Width': 1, 'Access': ['R'], 'Values': {0: 'Autoneg disabled',1: 'Autoneg completed'}},
			2:{'Symbol': 'AN_LINK_STATUS', 'Width': 1, 'Access': ['R','LL'], 'Values': {0: 'Linkup failed',1: 'Linkup success'}},
			6:{'Symbol': 'AN_PAGE_RX', 'Width': 1, 'Access': ['R','LH'], 'Values': {}},
			0:{'Symbol': 'RESERVED', 'Width': 2, 'Access': ['R'], 'Values': {}}
		},
		regAN_STATUS_EXTRA:{ # 07.8001
			1:{'Symbol': 'AN_HCD_TECH', 'Width': 4, 'Access': ['R'], 'Values': {}},
			7:{'Symbol': 'AN_INC_LINK', 'Width': 1, 'Access': ['R'], 'Values': {}},
			0:{'Symbol': 'AN_LINK_GOOD', 'Width': 1, 'Access': ['R'], 'Values': {0: 'AN Link not completed',1: 'AN Link Good'}},
			8:{'Symbol': 'AN_LP_NP_RX', 'Width': 1, 'Access': ['R','LH'], 'Values': {}},
			5:{'Symbol': 'AN_MS_CONFIG_RSLTN', 'Width': 2, 'Access': ['R'], 'Values': {0: 'not run',1: 'Configuration fault',2: 'Success, PHY is configured as SLAVE',3: 'Success, PHY is configured as MASTER'}},
			9:{'Symbol': 'RESERVED', 'Width': 7, 'Access': ['R'], 'Values': {}}
		},
		regB10L_PCS_CNTRL:{ # 03.08E6
			14:{'Symbol': 'B10L_LB_PCS_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'PCS Loopback Disabled',1: 'PCS Loopback enabled'}},
			0:{'Symbol': 'RESERVED_0', 'Width': 14, 'Access': ['R'], 'Values': {}},
			15:{'Symbol': 'RESERVED_15', 'Width': 1, 'Access': ['R/W','SC'], 'Values': {}}
		},
		regB10L_PMA_CNTRL:{ # 01.08F6
			0:{'Symbol': 'B10L_LB_PMA_LOC_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'B10L loopback mode',1: 'normal mode'}},
			14:{'Symbol': 'B10L_TX_DIS_MODE_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'B10L output enabled',1: 'B10L output disabled'}},
			12:{'Symbol': 'B10L_TX_LVL_HI', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'B10L high-voltage off',1: 'B10L high-voltage on'}},
			1:{'Symbol': 'RESERVED', 'Width': 10, 'Access': ['R/W'], 'Values': {}}
		},
		regB10L_PMA_LINK_STAT:{ # 01.8302
			8:{'Symbol': 'B10L_DSCR_STAT_OK', 'Width': 1, 'Access': ['R'], 'Values': {0: 'Descrambler Status NOK',1: 'Descrambler Status OK'}},
			9:{'Symbol': 'B10L_DSCR_STAT_OK_LL', 'Width': 1, 'Access': ['R','LL'], 'Values': {0: 'Descrambler Status LL NOK',1: 'Descrambler Status LL OK'}},
			0:{'Symbol': 'B10L_LINK_STAT_OK', 'Width': 1, 'Access': ['R'], 'Values': {0: 'B10L Link Status NOK',1: 'B10L Link Status OK'}},
			1:{'Symbol': 'B10L_LINK_STAT_OK_LL', 'Width': 1, 'Access': ['R','LL'], 'Values': {0: 'B10L Link Status LL NOK',1: 'B10L Link Status LL OK'}},
			10:{'Symbol': 'B10L_LOC_RCVR_STAT_OK', 'Width': 1, 'Access': ['R'], 'Values': {0: 'Local Receiver NOK',1: 'Local Receiver OK'}},
			11:{'Symbol': 'B10L_LOC_RCVR_STAT_OK_LL', 'Width': 1, 'Access': ['R','LL'], 'Values': {0: 'Local Receiver LL NOK',1: 'Local Receiver LL OK'}},
			12:{'Symbol': 'B10L_REM_RCVR_STAT_OK', 'Width': 1, 'Access': ['R'], 'Values': {0: 'Remote Receiver NOK',1: 'Remote Receiver OK'}},
			13:{'Symbol': 'B10L_REM_RCVR_STAT_OK_LL', 'Width': 1, 'Access': ['R','LL'], 'Values': {0: 'Remote Receiver LL NOK',1: 'Remote Receiver LL OK'}},
			14:{'Symbol': 'RESERVED_14', 'Width': 2, 'Access': ['R'], 'Values': {}},
			2:{'Symbol': 'RESERVED_2', 'Width': 6, 'Access': ['R'], 'Values': {}}
		},
		regB10L_PMA_STAT:{ # 01.08F7
			13:{'Symbol': 'B10L_LB_PMA_LOC_ABLE', 'Width': 1, 'Access': ['R'], 'Values': {0: 'B10L no loopback ability',1: 'B10L has loopback ability'}},
			2:{'Symbol': 'B10L_POL_INV', 'Width': 1, 'Access': ['R'], 'Values': {0: 'B10L polarity not inverted',1: 'B10L polarity inverted'}},
			12:{'Symbol': 'B10L_TX_LVL_HI_ABLE', 'Width': 1, 'Access': ['R'], 'Values': {0: 'B10L no high-voltage_ability',1: 'B10L high-voltage ability'}},
			3:{'Symbol': 'RESERVED', 'Width': 9, 'Access': ['R'], 'Values': {}},
			0:{'Symbol': 'RESERVED_0', 'Width': 2, 'Access': ['R'], 'Values': {}},
			14:{'Symbol': 'RESERVED_14', 'Width': 2, 'Access': ['R'], 'Values': {}}
		},
		regB10L_TEST_MODE_CNTRL:{ # 01.08F8
			13:{'Symbol': 'B10L_TX_TEST_MODE', 'Width': 3, 'Access': ['R/W'], 'Values': {0: 'Normal Operation',1: 'Test-Mode 1',2: 'Test-Mode 2',3: 'Test-Mode 3'}},
			0:{'Symbol': 'RESERVED_0', 'Width': 13, 'Access': ['R'], 'Values': {}}
		},
		regCRSM_IRQ_MASK:{ # 1E.0020
			11:{'Symbol': 'CRSM_HRD_RST_IRQ_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			15:{'Symbol': 'CRSM_SW_IRQ_REQ', 'Width': 1, 'Access': ['R/W','SC'], 'Values': {}},
			0:{'Symbol': 'RESERVED', 'Width': 11, 'Access': ['R/W'], 'Values': {}}
		},
		regCRSM_IRQ_STATUS:{ # 1E.0010
			11:{'Symbol': 'CRSM_HRD_RST_IRQ_LH', 'Width': 1, 'Access': ['R','LH'], 'Values': {}},
			15:{'Symbol': 'CRSM_SW_IRQ_LH', 'Width': 1, 'Access': ['R','LH'], 'Values': {}},
			0:{'Symbol': 'RESERVED', 'Width': 11, 'Access': ['R','LH'], 'Values': {}}
		},
		regCRSM_MAC_IF_RST:{ # 1E.8815
			0:{'Symbol': 'CRSM_MAC_IF_RST', 'Width': 1, 'Access': ['R/W','SC'], 'Values': {}},
			1:{'Symbol': 'RESERVED', 'Width': 15, 'Access': ['R'], 'Values': {}}
		},
		regCRSM_PHY_SUBSYS_RST:{ # 1E.8814
			0:{'Symbol': 'CRSM_PHY_SUBSYS_RST', 'Width': 1, 'Access': ['R/W','SC'], 'Values': {}},
			1:{'Symbol': 'RESERVED', 'Width': 15, 'Access': ['R'], 'Values': {}}
		},
		regCRSM_SFT_PD_CNTRL:{ # 1E.8812
			0:{'Symbol': 'CRSM_SFT_PD', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			1:{'Symbol': 'RESERVED', 'Width': 15, 'Access': ['R'], 'Values': {}}
		},
		regCRSM_SFT_RST:{ # 1E.8810
			0:{'Symbol': 'CRSM_SFT_RST', 'Width': 1, 'Access': ['R/W','SC'], 'Values': {}},
			1:{'Symbol': 'RESERVED', 'Width': 15, 'Access': ['R'], 'Values': {}}
		},
		regCRSM_STAT:{ # 1E.8818
			1:{'Symbol': 'CRSM_SFT_PD_RDY', 'Width': 1, 'Access': ['R'], 'Values': {}},
			0:{'Symbol': 'CRSM_SYS_RDY', 'Width': 1, 'Access': ['R'], 'Values': {}},
			2:{'Symbol': 'RESERVED', 'Width': 14, 'Access': ['R'], 'Values': {}}
		},
		regLED_BLINK_TIME_CNTRL:{ # 1E.8C80
			0:{'Symbol': 'LED_OFF_N4MS', 'Width': 8, 'Access': ['R/W'], 'Values': {}},
			8:{'Symbol': 'LED_ON_N4MS', 'Width': 8, 'Access': ['R/W'], 'Values': {}}
		},
		regLED_CNTRL:{ # 1E.8C81
			0:{'Symbol': 'LED_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			1:{'Symbol': 'RESERVED', 'Width': 15, 'Access': ['R'], 'Values': {}}
		},
		regMAC_IF_LOOPBACK:{ # 1F.8055
			0:{'Symbol': 'MAC_IF_LB_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'MAC Loopback disabled',1: 'MAC Loopback enabled'}},
			1:{'Symbol': 'MAC_IF_LB_TX_SUP_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Suppress TX disabled',1: 'Suppress TX to MAC if loopback enabled'}},
			2:{'Symbol': 'MAC_IF_REM_LB_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'MAC Remote Loopback disabled',1: 'MAC Remote Loopback enabled'}},
			3:{'Symbol': 'MAC_IF_REM_LB_RX_SUP_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Suppress RX disabled',1: 'Suppress RX to MAC if loopback enabled'}},
			4:{'Symbol': 'RESERVED', 'Width': 12, 'Access': ['R'], 'Values': {}}
		},
		regMAC_IF_SOP_CNTRL:{ # 1F.805A
			0:{'Symbol': 'MAC_IF_RX_SOP_DET_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'RX SOP Indication Signal disabled',1: 'RX SOP Indication Signal enabled'}},
			2:{'Symbol': 'MAC_IF_RX_SOP_LEN_CHK_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'RX SOP Preamble Length Check disabled',1: 'RX SOP Preamble Length Check enabled'}},
			1:{'Symbol': 'MAC_IF_RX_SOP_SFD_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'RX SOP Signal Indication on SFD Reception disabled',1: 'RX SOP Signal Indication on SFD Reception enabled'}},
			3:{'Symbol': 'MAC_IF_TX_SOP_DET_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Generation of the TX SOP Indication Signal disabled',1: 'Generation of the TX SOP Indication Signal enabled'}},
			5:{'Symbol': 'MAC_IF_TX_SOP_LEN_CHK_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'TX SOP Preamble Length Check disabled',1: 'TX SOP Preamble Length Check enabled'}},
			4:{'Symbol': 'MAC_IF_TX_SOP_SFD_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'TX SOP Signal Indication on start of frame delimiter disabled',1: 'TX SOP Signal Indication on start of frame delimiter enabled'}},
			6:{'Symbol': 'RESERVED', 'Width': 10, 'Access': ['R'], 'Values': {}}
		},
		regMMD1_DEV_ID1:{ # 1E.0002
			0:{'Symbol': 'MMD1_DEV_ID1', 'Width': 16, 'Access': ['R'], 'Values': {}}
		},
		regMMD1_DEV_ID2:{ # 1E.0003
			10:{'Symbol': 'MMD1_DEV_ID2_OUI', 'Width': 6, 'Access': ['R'], 'Values': {}},
			4:{'Symbol': 'MMD1_MODEL_NUM', 'Width': 6, 'Access': ['R'], 'Values': {}},
			0:{'Symbol': 'MMD1_REV_NUM', 'Width': 4, 'Access': ['R'], 'Values': {}}
		},
		regMSE_VAL:{ # 01.0830
			0:{'Symbol': 'MSE_VAL', 'Width': 16, 'Access': ['R'], 'Values': {}}
		},
		regPHY_SUBSYS_IRQ_MASK:{ # 1E.0021
			1:{'Symbol': 'LINK_STAT_CHNG_IRQ_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			13:{'Symbol': 'MAC_IF_EBUF_ERR_IRQ_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {}},
			0:{'Symbol': 'RESERVED', 'Width': 1, 'Access': ['R/W'], 'Values': {}}
		},
		regPHY_SUBSYS_IRQ_STATUS:{ # 1E.0011
			1:{'Symbol': 'LINK_STAT_CHNG_LH', 'Width': 1, 'Access': ['R','LH'], 'Values': {}},
			13:{'Symbol': 'MAC_IF_EBUF_ERR_IRQ_LH', 'Width': 1, 'Access': ['R','LH'], 'Values': {}},
			0:{'Symbol': 'RESERVED', 'Width': 1, 'Access': ['R','LH'], 'Values': {}}
		},
		regPMA_PMD_BT1_ABILITY:{ # 01.0012
			1:{'Symbol': 'B1000_ABILITY', 'Width': 1, 'Access': ['R'], 'Values': {0: '1000BASE-T1 NOT supported',1: '1000BASE-T1 supported'}},
			0:{'Symbol': 'B100_ABILITY', 'Width': 1, 'Access': ['R'], 'Values': {0: '100BASE-T1 NOT supported',1: '100BASE-T1 supported'}},
			2:{'Symbol': 'B10L_ABILITY', 'Width': 1, 'Access': ['R'], 'Values': {0: '10BASE-T1L NOT supported',1: '10BASE-T1L supported'}},
			3:{'Symbol': 'B10S_ABILITY', 'Width': 1, 'Access': ['R'], 'Values': {0: '10BASE-T1S NOT supported',1: '10BASE-T1S supported'}},
			4:{'Symbol': 'RESERVED', 'Width': 12, 'Access': ['R'], 'Values': {}}
		},
		regPMA_PMD_BT1_CONTROL:{ # 01.0834
			14:{'Symbol': 'CFG_MST', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Slave',1: 'Master'}},
			4:{'Symbol': 'RESERVED', 'Width': 10, 'Access': ['R'], 'Values': {}},
			0:{'Symbol': 'TYPE_SEL', 'Width': 4, 'Access': ['R/W'], 'Values': {}}
		},
		regRMII_CFG:{ # 1F.8050
			1:{'Symbol': 'RESERVED', 'Width': 15, 'Access': ['R'], 'Values': {}},
			0:{'Symbol': 'RMII_TXD_CHK_EN', 'Width': 1, 'Access': ['R/W'], 'Values': {0: 'Monitor SOF Off',1: 'Monitor SOF On'}}
		}
	}
	#end of register bits
